echo off
cls
if exist %1:\siege\siege.exe goto custom      
if not exist d:\siege\siege.exe goto error
APPEND d:\siege /x:on /path:on
goto start
echo on
:error
echo Can't find Siege!
echo.    
echo If your CD-ROM is NOT DRIVE D:, specify the drive when
echo you type SIEGE. For example, If your CD-ROM drive is drive E:
echo type 'SIEGE E'
echo.
goto end
:custom
append %1:\siege /X:ON /PATH:ON
:start
echo "Loading Siege..."
siege.exe
:end
append ;
